BEGIN TRANSACTION;

--创建安全加固项表
create table security_item(
	doc_parent_item_id integer not null,  
	doc_item_id integer not null,
	item_key text,
	params text,
	state integer not null,			  
	backup_state integer not null,    
	backup_data1 text,				  
	backup_data2 text,				  
	backup_data3 text,				  
	backup_data4 text				  
);

--创建操作历史记录表
create table oper_history(
	oper_id integer primary key autoincrement,
	oper_type integer not null,  	  		
	reboot_type integer,				  		
	cost_time integer,				  		
	find_count integer,				  		
	deal_count integer,				  		
	wait_count integer,				  		
	oper_time not null default current_timestamp 
);

--创建安全加固模板表
create table security_template(
	template_id integer primary key autoincrement,
	template_name text,
	template_type integer,
	template_desc text,
	choose_template_id integer
);

--安全加固模板加固项表
create table security_template_items(
	template_id integer not null,
	doc_parent_item_id integer not null,  
	doc_item_id integer not null,
	params text
);

--安全加固仓库表
create table security_repository(
	repository_id integer primary key autoincrement,
	repository_name text,
	repository_desc text,
	choose_repository_id integer
);

--安全加固仓库加固项表
create table security_repository_items(
	repository_id integer,
	doc_item_id integer not null
);

--安全加固标识表
create table reinforce_history(
	ever_reinforce_flag integer
);

--数据库信息表
create table db_info(
	version integer,
	latest_version integer
);

insert into security_repository values(0, "zjaqjg", "包含主机安全加固的所有加固项", 1);
insert into security_repository values(1, "sp4", "包含sp4的所有加固项", 1);

insert into security_template values(1, '麒麟安全', 0, '麒麟安全加固项', 1);
insert into security_template values(2, '安全三级', 0, '三级安全加固项', 1);

insert into reinforce_history values(0);
insert into db_info values(1,1);

--初始化安全三级
insert into security_template_items values(2, 0, 1, "");
insert into security_template_items values(2, 0, 2, "");
insert into security_template_items values(2, 0, 3, "");
insert into security_template_items values(2, 0, 4, "");
insert into security_template_items values(2, 0, 5, "");
insert into security_template_items values(2, 0, 6, "");
insert into security_template_items values(2, 0, 7, "");
insert into security_template_items values(2, 0, 8, "");
insert into security_template_items values(2, 0, 9, "");
insert into security_template_items values(2, 0, 10, "");
insert into security_template_items values(2, 0, 11, "");
insert into security_template_items values(2, 0, 12, "");
insert into security_template_items values(2, 0, 13, "");
insert into security_template_items values(2, 0, 14, "");
insert into security_template_items values(2, 0, 15, "");
insert into security_template_items values(2, 0, 16, "");
insert into security_template_items values(2, 0, 17, "");
insert into security_template_items values(2, 0, 18, "");
insert into security_template_items values(2, 0, 19, "");
insert into security_template_items values(2, 10, 20, "PASSWORD_MINCLASS,3");
insert into security_template_items values(2, 10, 21, "PASS_WARN_AGE, 30");
insert into security_template_items values(2, 11, 22, "PASSWORD_LOCK_NUM,5,PASSWORD_LOCK_TIME,600");
insert into security_template_items values(2, 12, 24, "");
insert into security_template_items values(2, 12, 25, "");
insert into security_template_items values(2, 12, 26, "");
insert into security_template_items values(2, 12, 27, "");
insert into security_template_items values(2, 12, 29, "");
insert into security_template_items values(2, 4, 30, "");
insert into security_template_items values(2, 4, 31, "");
insert into security_template_items values(2, 4, 32, "");
insert into security_template_items values(2, 4, 33, "");
insert into security_template_items values(2, 5, 34, "TMOUT,600");
insert into security_template_items values(2, 14, 36, "");
insert into security_template_items values(2, 13, 37, "");
insert into security_template_items values(2, 4, 120, "");
insert into security_template_items values(2, 12, 161, "");
insert into security_template_items values(2, 10, 162, "");
insert into security_template_items values(2, 5, 163, "");
insert into security_template_items values(2, 5, 164, "");
insert into security_template_items values(2, 5, 165, "");
insert into security_template_items values(2, 5, 166, "");
insert into security_template_items values(2, 8, 167, "");
insert into security_template_items values(2, 4, 168, "");
insert into security_template_items values(2, 4, 169, "");
insert into security_template_items values(2, 0, 170, "");

--初始化麒麟安全项
insert into security_template_items values(1, 0, 1, "");
insert into security_template_items values(1, 0, 2, "");
insert into security_template_items values(1, 0, 3, "");
insert into security_template_items values(1, 0, 4, "");
insert into security_template_items values(1, 0, 5, "");
insert into security_template_items values(1, 0, 6, "");
insert into security_template_items values(1, 0, 7, "");
insert into security_template_items values(1, 0, 8, "");
insert into security_template_items values(1, 0, 9, "");
insert into security_template_items values(1, 0, 10, "");
insert into security_template_items values(1, 0, 11, "");
insert into security_template_items values(1, 0, 12, "");
insert into security_template_items values(1, 0, 13, "");
insert into security_template_items values(1, 0, 14, "");
insert into security_template_items values(1, 0, 15, "");
insert into security_template_items values(1, 0, 16, "");
insert into security_template_items values(1, 0, 17, "");
insert into security_template_items values(1, 0, 18, "");
insert into security_template_items values(1, 0, 19, "");
insert into security_template_items values(1, 10, 20, "PASSWORD_MINCLASS,3");
insert into security_template_items values(1, 11, 22, "PASSWORD_LOCK_NUM,3,PASSWORD_LOCK_TIME,600");
insert into security_template_items values(1, 12, 24, "");
insert into security_template_items values(1, 12, 25, "");
insert into security_template_items values(1, 12, 26, "");
insert into security_template_items values(1, 12, 27, "");
insert into security_template_items values(1, 12, 29, "");
insert into security_template_items values(1, 0, 43, "");
insert into security_template_items values(1, 10, 80, "");
insert into security_template_items values(1, 10, 81, "PASS_MAX_DAYS,90");
insert into security_template_items values(1, 10, 82, "PASSWORD_MINLEN,8");
insert into security_template_items values(1, 10, 83, "PASS_MIN_DAYS,6");
insert into security_template_items values(1, 10, 84, "PASSWORD_REPETITION_COUNT,5");
insert into security_template_items values(1, 0, 85, 'UNNECESSARY_PORT,"21,22,23,25,53,69,80,110,111,443,1080,2049,3128,3306,5432,6379,8080,8081,9098,9200,27017"');
insert into security_template_items values(1, 12, 87, "");
insert into security_template_items values(1, 5, 88, "");
insert into security_template_items values(1, 4, 89, "CRON_USER,root");
insert into security_template_items values(1, 5, 90, "");
insert into security_template_items values(1, 3, 91, "");
insert into security_template_items values(1, 3, 92, "");
insert into security_template_items values(1, 3, 93, "");
insert into security_template_items values(1, 5, 94, "");
insert into security_template_items values(1, 7, 96, "");
insert into security_template_items values(1, 4, 97, "");
insert into security_template_items values(1, 5, 98, "");
insert into security_template_items values(1, 5, 99, "");
insert into security_template_items values(1, 8, 101, "");
insert into security_template_items values(1, 6, 102, "");
insert into security_template_items values(1, 6, 103, "");
insert into security_template_items values(1, 6, 104, "");
insert into security_template_items values(1, 7, 130, "");
insert into security_template_items values(1, 7, 131, "");
insert into security_template_items values(1, 7, 132, "");
insert into security_template_items values(1, 7, 133, "");
insert into security_template_items values(1, 7, 134, "");
insert into security_template_items values(1, 7, 135, "");
insert into security_template_items values(1, 7, 136, "");
insert into security_template_items values(1, 7, 137, "");
insert into security_template_items values(1, 7, 138, "");
insert into security_template_items values(1, 7, 139, "");
insert into security_template_items values(1, 7, 140, "");
insert into security_template_items values(1, 7, 141, "");
insert into security_template_items values(1, 7, 142, "");
insert into security_template_items values(1, 7, 143, "");
insert into security_template_items values(1, 7, 144, "");
insert into security_template_items values(1, 7, 145, "");
insert into security_template_items values(1, 7, 146, "");
insert into security_template_items values(1, 7, 147, "");
insert into security_template_items values(1, 7, 148, "");
insert into security_template_items values(1, 8, 155, "");
insert into security_template_items values(1, 7, 171, "");

--初始化自定义参数模板
insert into security_template_items values(0, 10, 20, "PASSWORD_MINCLASS,3");
insert into security_template_items values(0, 10, 21, "PASS_WARN_AGE,30");
insert into security_template_items values(0, 11, 22, "PASSWORD_LOCK_NUM,3,PASSWORD_LOCK_TIME,600");
insert into security_template_items values(0, 5, 34, "TMOUT,600");
insert into security_template_items values(0, 10, 81, "PASS_MAX_DAYS,90");
insert into security_template_items values(0, 10, 82, "PASSWORD_MINLEN,8");
insert into security_template_items values(0, 10, 83, "PASS_MIN_DAYS,6");
insert into security_template_items values(0, 10, 84, "PASSWORD_REPETITION_COUNT,5");
insert into security_template_items values(0, 3, 108, "HISTFILESIZE,5,HISTSIZE,5");
insert into security_template_items values(0, 7, 129, "UMASK,027");
insert into security_template_items values(0, 5, 158, "SCREEN_LOCK_TIME,15");
insert into security_template_items values(0, 9, 160, "DISK_SPACE_RATE,80");
insert into security_template_items values(0, 4, 89, "CRON_USER,root");
insert into security_template_items values(0, 0, 86, "IP_ADDRESS,,");
insert into security_template_items values(0, 0, 85, 'UNNECESSARY_PORT,"21,22,23,25,53,69,80,110,111,443,1080,2049,3128,3306,5432,6379,8080,8081,9098,9200,27017"');


COMMIT;